commit:     4cb38cbbb833f1509687a313cd7d9fea2bcb1056
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  1 09:49:19 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jan  5 16:55:12 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cb38cbb

sci-physics/clhep: 2.2.0.5 EAPI-7 bump

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-physics/clhep/clhep-2.2.0.5.ebuild | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/sci-physics/clhep/clhep-2.2.0.5.ebuild 
b/sci-physics/clhep/clhep-2.2.0.5.ebuild
index 74d20855ced..e73704e0e7a 100644
--- a/sci-physics/clhep/clhep-2.2.0.5.ebuild
+++ b/sci-physics/clhep/clhep-2.2.0.5.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit cmake-utils multilib
+inherit cmake-utils
 
 DESCRIPTION="High Energy Physics C++ library"
 HOMEPAGE="http://proj-clhep.web.cern.ch/proj-clhep/";
@@ -13,9 +13,8 @@ SLOT="2/${PV}"
 KEYWORDS="amd64 hppa ppc x86 ~amd64-linux ~x86-linux ~x64-macos"
 
 IUSE="doc static-libs test"
-RDEPEND=""
-DEPEND="${RDEPEND}
-       doc? ( virtual/latex-base )"
+
+BDEPEND="doc? ( virtual/latex-base )"
 
 S="${WORKDIR}/${PV}/CLHEP"
 
@@ -42,8 +41,8 @@ src_prepare() {
 
 src_configure() {
        local mycmakeargs=(
-               $(cmake-utils_use_enable test TESTING)
-               $(cmake-utils_use doc CLHEP_BUILD_DOCS)
+               -DENABLE_TESTING=$(usex test)
+               -DCLHEP_BUILD_DOCS=$(usex doc)
        )
        DESTDIR="${ED}" cmake-utils_src_configure
        use doc && MAKEOPTS+=" -j1"
@@ -51,5 +50,7 @@ src_configure() {
 
 src_install() {
        cmake-utils_src_install
-       use static-libs || rm "${ED}"/usr/$(get_libdir)/*.a
+       if ! use static-libs; then
+               rm "${ED}"/usr/$(get_libdir)/*.a || die
+       fi
 }

Reply via email to